import person from './person'
import Menu from './menu'
import fps from './fps'
import ParticicleSystem from './particicle'

import store from '../store'

const menu = new Menu(store.data.menu, { x: 10, y: 200 })

const particicles = new ParticicleSystem(100)

const scene = () => {
	person(store.data.circle)

	menu.render()
	fps()
	particicles.process()
}

export default scene
